package com.ssj.service.conch.schoolmaster.dto;

import java.io.Serializable;
import java.util.List;

public class PlanDto implements Serializable {
    private static final long serialVersionUID = 1L;

    private String planId; //排课计划id
    private int studyPlanCount;//计划学习总次数
    private int studyCount;//已学习次数
    private int planStatus;//计划状态 1未支付 2家长支付；3确定上课意向；4上课；5反馈
    private int courseType;//课程类型（0试听课/1正式课）
    private int isPay;//是否支付 0:否 1:是
    private int isConfirmSchoolTime;//是否确定上课意向时间
    private int isAttendClass;//是否上课
    private int isFeedback;//是否反馈
    private String teacherName;//授课老师姓名
    private String teacherId;//授课老师id
    private String subjectName;//授课科目
    private String grade;//授课年级
    private String startTime;//开始时间
    private String endTime;//结束时间
    private String attendClassTime;//计划）上课时间
    private String requestAttendClassTime;//现申请调课时间
    private int graspLevel;//掌握程度
    private String knowledgeModule;//知识模块
    private int errorsCount;//错题数量
    private int patriarchSatisfaction;//家长满意度
    private List<String> commentList;//家长评价标签集合<个数限制一下>
    private String phone;//家长电话号码
    private int isRequestChangeClassTime; //是否申请调课
    private int isRequestChangeTeacher; //是否申请换老师
    private String requestTeacherId; //现申请更换授课老师id
    private String requestTeacherName; //现申请更换授课老师姓名
    
	public String getPlanId() {
		return planId;
	}
	public void setPlanId(String planId) {
		this.planId = planId;
	}
	public int getStudyPlanCount() {
		return studyPlanCount;
	}
	public void setStudyPlanCount(int studyPlanCount) {
		this.studyPlanCount = studyPlanCount;
	}
	public int getStudyCount() {
		return studyCount;
	}
	public void setStudyCount(int studyCount) {
		this.studyCount = studyCount;
	}
	public int getPlanStatus() {
		return planStatus;
	}
	public void setPlanStatus(int planStatus) {
		this.planStatus = planStatus;
	}
	public int getCourseType() {
		return courseType;
	}
	public void setCourseType(int courseType) {
		this.courseType = courseType;
	}
	public int getIsPay() {
		return isPay;
	}
	public void setIsPay(int isPay) {
		this.isPay = isPay;
	}
	public int getIsConfirmSchoolTime() {
		return isConfirmSchoolTime;
	}
	public void setIsConfirmSchoolTime(int isConfirmSchoolTime) {
		this.isConfirmSchoolTime = isConfirmSchoolTime;
	}
	public int getIsAttendClass() {
		return isAttendClass;
	}
	public void setIsAttendClass(int isAttendClass) {
		this.isAttendClass = isAttendClass;
	}
	public int getIsFeedback() {
		return isFeedback;
	}
	public void setIsFeedback(int isFeedback) {
		this.isFeedback = isFeedback;
	}
	public String getTeacherName() {
		return teacherName;
	}
	public void setTeacherName(String teacherName) {
		this.teacherName = teacherName;
	}
	public String getTeacherId() {
		return teacherId;
	}
	public void setTeacherId(String teacherId) {
		this.teacherId = teacherId;
	}
	public String getSubjectName() {
		return subjectName;
	}
	public void setSubjectName(String subjectName) {
		this.subjectName = subjectName;
	}
	public String getGrade() {
		return grade;
	}
	public void setGrade(String grade) {
		this.grade = grade;
	}
	public String getStartTime() {
		return startTime;
	}
	public void setStartTime(String startTime) {
		this.startTime = startTime;
	}
	public String getEndTime() {
		return endTime;
	}
	public void setEndTime(String endTime) {
		this.endTime = endTime;
	}
	public String getAttendClassTime() {
		return attendClassTime;
	}
	public void setAttendClassTime(String attendClassTime) {
		this.attendClassTime = attendClassTime;
	}
	public String getRequestAttendClassTime() {
		return requestAttendClassTime;
	}
	public void setRequestAttendClassTime(String requestAttendClassTime) {
		this.requestAttendClassTime = requestAttendClassTime;
	}
	public int getGraspLevel() {
		return graspLevel;
	}
	public void setGraspLevel(int graspLevel) {
		this.graspLevel = graspLevel;
	}
	public String getKnowledgeModule() {
		return knowledgeModule;
	}
	public void setKnowledgeModule(String knowledgeModule) {
		this.knowledgeModule = knowledgeModule;
	}
	public int getErrorsCount() {
		return errorsCount;
	}
	public void setErrorsCount(int errorsCount) {
		this.errorsCount = errorsCount;
	}
	public int getPatriarchSatisfaction() {
		return patriarchSatisfaction;
	}
	public void setPatriarchSatisfaction(int patriarchSatisfaction) {
		this.patriarchSatisfaction = patriarchSatisfaction;
	}
	public List<String> getCommentList() {
		return commentList;
	}
	public void setCommentList(List<String> commentList) {
		this.commentList = commentList;
	}
	public String getPhone() {
		return phone;
	}
	public void setPhone(String phone) {
		this.phone = phone;
	}
	public int getIsRequestChangeClassTime() {
		return isRequestChangeClassTime;
	}
	public void setIsRequestChangeClassTime(int isRequestChangeClassTime) {
		this.isRequestChangeClassTime = isRequestChangeClassTime;
	}
	public int getIsRequestChangeTeacher() {
		return isRequestChangeTeacher;
	}
	public void setIsRequestChangeTeacher(int isRequestChangeTeacher) {
		this.isRequestChangeTeacher = isRequestChangeTeacher;
	}
	public String getRequestTeacherId() {
		return requestTeacherId;
	}
	public void setRequestTeacherId(String requestTeacherId) {
		this.requestTeacherId = requestTeacherId;
	}
	public String getRequestTeacherName() {
		return requestTeacherName;
	}
	public void setRequestTeacherName(String requestTeacherName) {
		this.requestTeacherName = requestTeacherName;
	}
    
}
